org.apache.axiom.util.stax

## Class AbstractXMLStreamReader

- java.lang.Object
- - org.apache.axiom.util.stax.AbstractXMLStreamReader

- All Implemented Interfaces:
    javax.xml.stream.XMLStreamConstants, javax.xml.stream.XMLStreamReader

      public abstract class AbstractXMLStreamReader
      extends Object
      implements javax.xml.stream.XMLStreamReader

  Partial implementation of the `XMLStreamReader` interface. This class implements methods that can be easily expressed in terms of other (abstract) methods or for which it makes sense to provide a default implementation.

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXMLStreamReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getElementText()`
    `javax.xml.stream.Location` | `getLocation()`
    `boolean` | `hasName()`
    `boolean` | `hasText()`
    `boolean` | `isCharacters()`
    `boolean` | `isEndElement()`
    `boolean` | `isStartElement()`
    `boolean` | `isWhiteSpace()`
    `int` | `nextTag()` Returns the next tag.
    `void` | `require(int type, String uri, String localName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.xml.stream.XMLStreamReader

      `close, getAttributeCount, getAttributeLocalName, getAttributeName, getAttributeNamespace, getAttributePrefix, getAttributeType, getAttributeValue, getAttributeValue, getCharacterEncodingScheme, getEncoding, getEventType, getLocalName, getName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getNamespaceURI, getNamespaceURI, getPIData, getPITarget, getPrefix, getProperty, getText, getTextCharacters, getTextCharacters, getTextLength, getTextStart, getVersion, hasNext, isAttributeSpecified, isStandalone, next, standaloneSet`

- - ### Constructor Detail

    - #### AbstractXMLStreamReader

          public AbstractXMLStreamReader()

  - ### Method Detail

    - #### getLocation

          public javax.xml.stream.Location getLocation()

      Specified by:
        `getLocation` in interface `javax.xml.stream.XMLStreamReader`

    - #### hasText

          public boolean hasText()

      Specified by:
        `hasText` in interface `javax.xml.stream.XMLStreamReader`
      Returns:
        Returns boolean.
      See Also:
        `XMLStreamReader.hasText()`

    - #### nextTag

          public int nextTag()
                      throws javax.xml.stream.XMLStreamException

      Returns the next tag.
      Specified by:
        `nextTag` in interface `javax.xml.stream.XMLStreamReader`
      Returns:
        Returns int.
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### isStartElement

          public boolean isStartElement()

      Specified by:
        `isStartElement` in interface `javax.xml.stream.XMLStreamReader`

    - #### isEndElement

          public boolean isEndElement()

      Specified by:
        `isEndElement` in interface `javax.xml.stream.XMLStreamReader`

    - #### isCharacters

          public boolean isCharacters()

      Specified by:
        `isCharacters` in interface `javax.xml.stream.XMLStreamReader`

    - #### isWhiteSpace

          public boolean isWhiteSpace()

      Specified by:
        `isWhiteSpace` in interface `javax.xml.stream.XMLStreamReader`

    - #### hasName

          public boolean hasName()

      Specified by:
        `hasName` in interface `javax.xml.stream.XMLStreamReader`

    - #### require

          public void require(int type,
                              String uri,
                              String localName)
                       throws javax.xml.stream.XMLStreamException

      Specified by:
        `require` in interface `javax.xml.stream.XMLStreamReader`
      Throws:
        `javax.xml.stream.XMLStreamException`

    - #### getElementText

          public String getElementText()
                                throws javax.xml.stream.XMLStreamException

      Specified by:
        `getElementText` in interface `javax.xml.stream.XMLStreamReader`
      Throws:
        `javax.xml.stream.XMLStreamException`

Copyright © The Apache Software Foundation. All Rights Reserved.